Bug 152606 - general slowdown + slow window redraw + bizarre cpu usage
general slowdown + slow window redraw + bizarre cpu usage
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
http://www.bayou.com/~woodland/Screen...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-30 13:53 EST by Hamilton Leeper
Modified: 2015-01-04 17:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:25:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hamilton Leeper 2005-03-30 13:53:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050328 Firefox/1.0.2 Fedora/1.0.2-3

Description of problem:
During boot and during general use (both in terminal and GNOME) there is a distinct slowness to the system.  This slowness is most apparent when using X11 programs; they redraw very slowly and the mouse will freeze and jerk around during heavy loads. (like loading GNOME or booting the system) The GNOME system monitor shows strange CPU activity as you can see in the screenshot; even at total idle the system never drops below 2-3% cpu and hovers at around 5-9%.  Little things such as moving the mouse cursor cause the CPU usage to jump to 30-100%.  I don't know where exactly the problem lies, but I am seeing the following audit notices in dmesg that may be related. (I really have no idea myself)

audit(:107285): major=252 name_count=0: freeing multiple contexts (1)
audit(:107234): major=113 name_count=0: freeing multiple contexts (2)
audit(:108573): major=252 name_count=0: freeing multiple contexts (1)
audit(:108553): major=113 name_count=0: freeing multiple contexts (2)
audit(:109908): major=252 name_count=0: freeing multiple contexts (1)
audit(:109888): major=113 name_count=0: freeing multiple contexts (2)


Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1208_FC4

How reproducible:
Always

Steps to Reproduce:
1. Notice the mouse jerkedness while in RHGB and the slow redraw of apps (particularly firefox)
2.
3.
  

Additional info:
Comment 1 Jacob Kroon 2005-04-11 03:41:27 EDT
If I am correct the kernel has more debug generation code in it during the
rawhide life-cycle, the page alloc debug code was a real slow down for me, but
those were removed in preparation for the FC4t2.

About the cpu usage, if I have a complety idle system and run
gnome-system-monitor the cpu usage never drops below ~10-20%, and the process
that is using that amount is gnome-system-monitor ifself...

So is this a really a bug ?
Comment 2 Dave Jones 2005-06-27 19:18:16 EDT
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done
so).

Thanks.
Comment 3 Dave Jones 2005-07-15 17:08:58 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 4 Dave Jones 2005-09-30 02:14:21 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 5 Dave Jones 2005-11-10 14:11:47 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 6 Dave Jones 2006-02-03 01:35:05 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 7 John Thacker 2006-05-04 09:25:55 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.